#include<stdio.h>
#include<string.h>

int main() 
{
   char a[17],b[17],c[17];
   char res[54];
   
   scanf("%s%s%s", &a,&b,&c);
   
   if(strcmp(a, b) > 0)
   {
        if(strcmp(a, c) > 0)
        {
            strcpy(res, a);
            if(strcmp(c, b) > 0)
            {
                strcat(res, c);
                strcat(res, b);
            }
            else
            {
                strcat(res, b);
                strcat(res, c);
            }
        }
        else
        {
            strcpy(res, c);
            strcat(res, a);
            strcat(res, b);
        }
   }
   else
   {
       if(strcmp(b, c) > 0)
       {
           strcpy(res, b);
           if(strcmp(c, a) > 0)
           {
               strcat(res, c);
               strcat(res, a);
           }
           else
           {
               strcat(res, a);
               strcat(res, c);
           }
       }
       else
       {
           strcpy(res, c);
           strcat(res, b);
           strcat(res, a);
       }
   }
   printf("%s", res);
}